apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: echoserver
spec:
  ingressClassName: nginx
  rules:
    - host: "echo.cnam.deliciousmuffins.net"
      http:
        paths:
          - path: "/"
            pathType: Prefix
            backend:
              service:
                name: echoserver
                port:
                  number: 80
